# $Revision: 1.19 $, $Date: 2004/03/30 19:07:59 $
Summary:	Secure encryption and decryption of files and streams
Summary(pl):	Bezpieczne szyfrowanie i odszyfrowywanie plikw i strumieni
Name:		ccrypt
Version:	1.7
Release:	1
License:	GPL
Group:		Applications/System
Source0:	http://dl.sourceforge.net/ccrypt/%{name}-%{version}.tar.gz
# Source0-md5:	19526e31a7d234e29d54dbcc876605d5
BuildRequires:	autoconf
BuildRequires:	automake
URL:		http://ccrypt.sourceforge.net/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ccrypt is a utility for encrypting and decrypting files and streams.
It was designed to replace the standard unix crypt utility, which is
notorious for using a very weak encryption algorithm. ccrypt is based
on the Rijndael date for the Advanced Encryption Standard (AES). This
cipher is believed to provide very strong security.

%description -l pl
ccrypt jest narzdziem do szyfrowania i odszyfrowywania plikw oraz
strumieni. Zostao opracowane by zastpi standardowe narzdzie
uniksowe crypt, ktre uywa bardzo sabego algorytmu szyfrowania.
ccrypt bazuje na Rijndael AES (Advanced Encryption Standard). Ten
szyfr jest uwaany za dajcy due bezpieczestwo.

%prep
%setup -q

%build
rm -f missing
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

echo ".so ccrypt.1." > $RPM_BUILD_ROOT%{_mandir}/man1/ccat.1
echo ".so ccrypt.1." > $RPM_BUILD_ROOT%{_mandir}/man1/ccdecrypt.1
echo ".so ccrypt.1." > $RPM_BUILD_ROOT%{_mandir}/man1/ccencrypt.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README doc/cypfaq01.txt
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ccrypt.spec,v $
Revision 1.19  2004/03/30 19:07:59  areq
- 1.7

Revision 1.18  2003/08/27 11:39:05  undefine
- update to 1.6

Revision 1.17  2003/08/26 15:46:34  undefine
- update to 1.5, patch gcc33 don't needed

Revision 1.16  2003/08/06 16:42:03  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.15  2003/07/08 10:01:18  ankry
- unified URL

Revision 1.14  2003/06/17 10:48:29  adamg
- added patch to make the thing compile on gcc3.3
- release 2

Revision 1.13  2003/05/28 12:58:48  malekith
- massive attack: source-md5

Revision 1.12  2003/05/25 05:46:09  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.11  2003/03/30 15:13:44  areq
- 1.4

Revision 1.10  2002/10/09 18:34:45  kloczek
- release 2: use new %doc.

Revision 1.9  2002/10/09 13:14:18  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.8  2002/05/21 23:12:43  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.7  2002/04/25 15:57:38  arturs
fixed a small typo

Revision 1.6  2002/03/24 23:28:14  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.5  2002/02/23 01:33:37  kloczek
- adapterized.

Revision 1.4  2002/02/22 23:28:44  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/02/02 08:24:42  kloczek
- regenerate ac/am files and switch to using %%configure macro and DESTDIR
  style %install,
- replace symlinks in man pages by roff .so include files,
- cosmetics.

Revision 1.2  2002/01/31 12:36:11  qboosh
- pl description, standarized License field, cosmetics

Revision 1.1  2002/01/30 20:10:09  areq
- init PLD spec
